From: "Vikraman Choudhury" <vikraman.choudhury@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/gentoostats:master commit in: overlay/app-portage/gentoostats/
Date: Thu, 23 Jun 2011 13:40:55 +0000 (UTC) [thread overview]
Message-ID: <33718bc58475006b85c6c48ad311e6fe4560d9d7.vikraman@gentoo> (raw)
commit: 33718bc58475006b85c6c48ad311e6fe4560d9d7
Author: Vikraman Choudhury <vikraman.choudhury <AT> gmail <DOT> com>
AuthorDate: Thu Jun 23 13:40:38 2011 +0000
Commit: Vikraman Choudhury <vikraman.choudhury <AT> gmail <DOT> com>
CommitDate: Thu Jun 23 13:40:38 2011 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/gentoostats.git;a=commit;h=33718bc5
update ebuild
---
overlay/app-portage/gentoostats/Manifest | 2 +-
.../gentoostats/gentoostats-9999.ebuild | 18 +++++++++++-------
2 files changed, 12 insertions(+), 8 deletions(-)
diff --git a/overlay/app-portage/gentoostats/Manifest b/overlay/app-portage/gentoostats/Manifest
index dae9b26..589f9fa 100644
--- a/overlay/app-portage/gentoostats/Manifest
+++ b/overlay/app-portage/gentoostats/Manifest
@@ -1 +1 @@
-EBUILD gentoostats-9999.ebuild 1156 RMD160 af4280c5a30113fad203deebe2ae5ec1903c9f03 SHA1 4469ad5120f689219f30bc375aa73e6f7d0f69c8 SHA256 7c51b32f7eee3567e46d1e02ab6531d6f0ae8248a411437517beb77b9ddf0475
+EBUILD gentoostats-9999.ebuild 1298 RMD160 149283f99950c8d639e4f90634d9768ecfb20158 SHA1 6bb2040fc224e3e1647fb402af0e263271575732 SHA256 e42afaac058fd5940cba15c676c5ac22889cf89c92fa275c07f17091373a26d7
diff --git a/overlay/app-portage/gentoostats/gentoostats-9999.ebuild b/overlay/app-portage/gentoostats/gentoostats-9999.ebuild
index 98ae89d..012b7a3 100644
--- a/overlay/app-portage/gentoostats/gentoostats-9999.ebuild
+++ b/overlay/app-portage/gentoostats/gentoostats-9999.ebuild
@@ -23,8 +23,6 @@ RDEPEND="${DEPEND}
>=app-portage/gentoolkit-0.3.0.2
dev-python/simplejson"
-AUTHFILE="${ROOT}"/etc/gentoostats/auth.cfg
-
src_compile() {
cd "client"
distutils_src_compile
@@ -33,23 +31,29 @@ src_compile() {
src_install() {
cd "client"
distutils_src_install
+
+ dodir /etc/gentoostats || die
+ insinto /etc/gentoostats
+ doins payload.cfg || die
+
+ # this doesn't work, why ?
+ fowners root:portage /etc/gentoostats/payload.cfg || die
+ fperms 0640 /etc/gentoostats/payload.cfg || die
}
pkg_postinst() {
distutils_pkg_postinst
+ AUTHFILE="${ROOT}/etc/gentoostats/auth.cfg"
if ! [ -f "${AUTHFILE}" ]; then
elog "Generating uuid and password in ${AUTHFILE}"
- if ! [ -d "$(dirname "${AUTHFILE}")" ]; then
- mkdir "$(dirname "${AUTHFILE}")"
- fi
touch "${AUTHFILE}"
echo "[AUTH]" >> "${AUTHFILE}"
echo -n "UUID : " >> "${AUTHFILE}"
cat /proc/sys/kernel/random/uuid >> "${AUTHFILE}"
echo -n "PASSWD : " >> "${AUTHFILE}"
< /dev/urandom tr -dc a-zA-Z0-9 | head -c16 >> "${AUTHFILE}"
- echo >> "${AUTHFILE}"
fi
- chmod 0444 "${AUTHFILE}"
+ chown root:portage "${AUTHFILE}"
+ chmod 0640 "${AUTHFILE}"
}
next reply other threads:[~2011-06-23 13:41 UTC|newest]
Thread overview: 8+ messages / expand[flat|nested] mbox.gz Atom feed top
2011-06-23 13:40 Vikraman Choudhury [this message]
-- strict thread matches above, loose matches on Subject: below --
2017-01-02 6:34 [gentoo-commits] proj/gentoostats:master commit in: overlay/app-portage/gentoostats/ Göktürk Yüksek
2017-01-02 6:34 Göktürk Yüksek
2016-12-29 6:25 Göktürk Yüksek
2016-12-12 3:00 Göktürk Yüksek
2011-08-20 19:26 Vikraman Choudhury
2011-06-23 15:14 Vikraman Choudhury
2011-06-19 18:25 Vikraman Choudhury
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=33718bc58475006b85c6c48ad311e6fe4560d9d7.vikraman@gentoo \
--to=vikraman.choudhury@gmail.com \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox